dnl -*- html -*-
define(__title, `Amin Bandali''`s Personal Site')dnl
define(__slug, `home')dnl
define(__nts)dnl
include(header.html)
<section id="intro">
<p>Hi, I'm Amin.  I am currently a graduate student at the
<a href="//watform.uwaterloo.ca">Waterloo Formal Methods</a>
group at the University of Waterloo, supervised by
<a href="//cs.uwaterloo.ca/~nday/">Nancy&nbsp;Day</a>.
The main goal of my research is
improving <strong>software and systems reliability</strong>
through application of
<a href="//en.wikipedia.org/wiki/Formal_methods">formal methods</a>.</p>

<p>My research at WatForm focuses on formal logic, model checking, and
verification.  I am also interested in programming languages, proof
assistants, and their type systems.</p>

<p>On the side, I enjoy
<a href="//stallman.org/articles/on-hacking.html">hacking</a> on
<a href="//www.gnu.org/software/emacs/manual/elisp.html">elisp</a>
and <a href="//www.gnu.org/software/guile/">guile</a>.  I am a
GNU <a href="//www.gnu.org/people/#bandali">maintainer</a>,
<a href="//www.gnu.org/people/webmeisters.html#bandali">webmaster</a>,
and <a href="//savanna.gnu.org/maintenance/SavannahHacker/">Savannah
hacker</a>.  I am also a
<a href="//www.gnu.org/philosophy/free-sw.html">free software</a>
activist, and an <a href="//www.fsf.org/associate/">associate
member</a> of the <a href="///www.fsf.org">Free Software
Foundation</a>.  I'm the chief organizer of
the <a href="//emacsconf.org">EmacsConf</a> conference, and the
co-host of the <a href="//emacsel.com">Emacs.el</a> podcast with
<a href="//www.pygopar.com">Daniel Gopar</a>.  I am also a member of
the Systems Committee of the
<a href="//csclub.uwaterloo.ca">Computer Science Club</a> of the
University of Waterloo.</p>
</section>

<section id="papers">
<h2>Papers</h2>
<dl>
<dt>A Comparison of the Declarative Modelling Languages B, DASH, and
TLA<sup>+</sup>
<small>
[ <a href="papers/modre2018-declarative.pdf">pdf</a>
| <a href="papers/modre2018-declarative.bib">bib</a>
]
</small>
</dt>
<dd>
Ali Abbassi, <a href="//bandali.eu.org">Amin Bandali</a>,
<a href="//cs.uwaterloo.ca/~nday/">Nancy A. Day</a>, Jose Serna<br/>
<em>2018 IEEE 8th International Model-Driven Requirements Engineering
Workshop (MoDRE)</em><br/>
Copyright &copy; 2018 IEEE.  All Rights Reserved.  Sadly.
</dd>
</dl>
</section>

<section id="talks">
<h2>Talks</h2>
<dl>
<dt>The Magic of Specifications and Type Systems
<small>
[ <a href="talks/cucsc-2017-slides.pdf"
     title="presented at the Canadian Undergraduate Computer Science Conference 2017,
University of Toronto, Canada, June 15–17, 2017">slides</a>
| <a href="talks/eecs4080-poster.pdf"
     title="presented at the Lassonde Undergraduate Summer Student Research Conference,
York University, Toronto, Canada, August 15, 2017">poster</a>
]
</small>
</dt>
<dd>
<a href="//bandali.eu.org">Amin Bandali</a>,
<a href="//github.com/cipher1024">Simon Hudon</a>,
<a href="//www.cse.yorku.ca/~jonathan/">Jonathan S. Ostroff</a>
</dd>
</dl>
</section>

<section id="projects">
<h2>Projects</h2>
<p>Below are a number of free software projects I have worked on:</p>
<dl>
<dt><a href="//git.bandali.eu.org/george-mode">george-mode</a></dt>
<dd>Emacs major mode for editing George files</dd>

<dt><a href="//git.bandali.eu.org/alloy-catalyst">alloy-catalyst</a></dt>
<dd>Framework for performance analysis of Alloy models</dd>

<dt><a href="//github.com/unitb/unitb-web">unitb-web</a></dt>
<dd>Web interface for Unit-B</dd>

<dt><a href="//github.com/unitb/tex2png-hs">tex2png-hs</a></dt>
<dd>Library and CLI for converting TeX and LaTeX to PNG images</dd>
</dl>
</section>

<section id="notes">
<h2>Notes</h2>
<p>Here are notes about a variety of topics and issues I care
about.<!--<br/>
They're also available via
<a href="notes.atom">
<img class="feed-icon" src="/icon-12px.png"
     alt="subscribe to atom feed">Atom</a>
and
<a href="notes.rss">
<img class="feed-icon" src="/icon-12px.png"
     alt="subscribe to rss feed">RSS</a> feeds.--></p>

<table class="post-list">
<tbody>
<tr>
<td><a href="computing">How I do my Computing</a></td>
<td><small>September 14, 2019</small></td>
</tr>

<tr>
<td><a href="arch-macbook-air">Arch GNU/Linux on MacBook Air 2013</a></td>
<td><small>November 1, 2016</small></td>
</tr>
</tbody>
</table>
</section>
define(__copy, `2016&ndash;2019')dnl
include(footer.html)
